> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/keeperpam/jp/secrets-manager/about/pam-record-types.md).

# PAMレコードタイプ

## 概要 <a href="#about" id="about"></a>

Privileged Access Manager (PAM) レコードタイプは、Keeperが管理する特権リソース (ユーザー、マシン、データベース、ディレクトリ、ブラウザセッション) およびそれらへの接続とローテーションを行うゲートウェイ構成を表します。シークレットマネージャーSDKは他のレコードと同様にこれらを読み取り、レコードのタイプ (例: `record.type == "pamUser"`) で識別します。

PAMリソースレコードは、それを操作する `pamUser` 認証情報にリンクされます。これらのリンクの取得方法は、[リンク済み認証情報](/keeperpam/jp/secrets-manager/about/linked-credentials.md)ページをご参照ください。標準 (非PAM) のフィールドおよびレコードタイプについては、[フィールド/レコードタイプ](/keeperpam/jp/secrets-manager/about/field-record-types.md)をご参照ください。

{% hint style="info" %}
PAMレコードも標準レコードと同様に `fileRef` および `oneTimeCode` フィールドを持ちます。ほとんどのPAMリソースレコードには、PAMトンネルセッションキーの導出に使用する `trafficEncryptionSeed` も含まれます。これは自動生成され、手動で設定する項目ではありません。
{% endhint %}

## PAMフィールドタイプ <a href="#pam-field-types" id="pam-field-types"></a>

これらのフィールドタイプは、標準フィールドタイプに加えてPAMレコード上に現れます。

### pamHostname

標準 `host` フィールドのエイリアスである辞書値。以下を含みます。

* `hostName`: ホスト名またはIP
* `port`: リモートポート

例:

```
{"hostName": "10.0.0.5", "port": "22"}
```

### pamSettings

PAMリソース (SSH/RDP/VNC/Kubernetes) 向けの接続およびポートフォワード設定。以下を含む辞書値。

* `allowSupplyHost`: 接続時にホストを指定できるか
* `connection`: 接続設定オブジェクト
* `portForward`: ポートフォワード設定オブジェクト

### pamRemoteBrowserSettings

リモートブラウザ分離 (RBI) セッション向けの設定。以下を含む辞書値。

* `connection`: 接続設定オブジェクト

### rbiUrl

文字列値。ブラウザ分離セッションの対象URL。

### script

ローテーション後スクリプト参照。以下を含む辞書値。

* `fileRef`: スクリプトファイル添付のUID
* `command`: 実行コマンド
* `recordRef`: 関連レコードUIDの配列

### databaseType

データベースエンジンを選択するドロップダウン (文字列列挙)。既知の値:

```
postgresql, postgresql-flexible, mysql, mysql-flexible,
mariadb, mariadb-flexible, mssql, oracle, mongodb
```

### directoryType

ディレクトリタイプを選択するドロップダウン (文字列列挙)。既知の値: `active_directory`、`openldap`。デフォルト: `active_directory`。

### trafficEncryptionSeed

PAMトンネルセッションキーの導出に使用するBase64文字列 (32バイトの乱数)。未設定の場合、最初のトンネル開始時に自動生成されます。

### pamResources

構成レコードタイプがゲートウェイと管理対象リソースセットを宣言するために使用。以下を含む辞書値。

* `controllerUid`: KeeperゲートウェイUID
* `folderUid`: 構成が管理するフォルダ
* `resourceRef`: リソースレコードUIDの配列

## PAMリソースレコードタイプ <a href="#pam-resource-record-types" id="pam-resource-record-types"></a>

{% hint style="info" %}
レコードタイプ自体で必須なのは一部のフィールドのみです (`pamUser` の login、`pamMachine` の hostname と port、`pamRemoteBrowser` の URL)。接続やローテーション用リソースを作成する際、Keeperボルトは追加要件 (PAM構成、管理用認証情報、データベースタイプなど) を適用します。[管理者向けPAMリソースガイド](/keeperpam/jp/privileged-access-manager/getting-started/pam-resources/pam-user.md)をご参照ください。
{% endhint %}

### pamUser (PAM User)

他のPAMリソースがリンクする認証情報レコード。

| フィールドタイプ | UIフィールド                |
| -------- | ---------------------- |
| login    | Login *(必須)*           |
| password | Password               |
| secret   | Private PEM Key        |
| secret   | Private Key Passphrase |
| secret   | Public Key             |
| text     | Distinguished Name     |
| text     | Connect Database       |
| checkbox | Managed User           |
| script   | Rotation Scripts       |

### pamMachine (PAM Machine)

SSH/RDP/VNC/Kubernetes/RBIホスト。

| フィールドタイプ    | UIフィールド                              |
| ----------- | ------------------------------------ |
| pamHostname | Hostname or IP Address / Port *(必須)* |
| pamSettings | PAM Settings                         |
| text        | Operating System                     |
| text        | Instance Name                        |
| text        | Instance ID                          |
| text        | Provider Group                       |
| text        | Provider Region                      |
| script      | Rotation Scripts                     |

### pamDatabase (PAM Database)

データベースホスト。

| フィールドタイプ     | UIフィールド                       |
| ------------ | ----------------------------- |
| pamHostname  | Hostname or IP Address / Port |
| databaseType | Database Type                 |
| checkbox     | Use SSL *(デフォルト: オン)*         |
| text         | Database ID                   |
| pamSettings  | PAM Settings                  |
| text         | Provider Group                |
| text         | Provider Region               |
| script       | Rotation Scripts              |

### pamDirectory (PAM Directory)

LDAP / Active Directoryホスト。

| フィールドタイプ      | UIフィールド                                         |
| ------------- | ----------------------------------------------- |
| pamHostname   | Hostname or IP Address / Port                   |
| directoryType | Directory Type *(Active Directory or OpenLDAP)* |
| checkbox      | Use SSL                                         |
| text          | Domain Name                                     |
| multiline     | Alternative IPs                                 |
| text          | Directory ID                                    |
| text          | User Match                                      |
| pamSettings   | PAM Settings                                    |
| text          | Provider Group                                  |
| text          | Provider Region                                 |
| script        | Rotation Scripts                                |

### pamRemoteBrowser (PAM Remote Browser)

ブラウザ分離セッションレコード。

| フィールドタイプ                 | UIフィールド             |
| ------------------------ | ------------------- |
| rbiUrl                   | URL *(必須)*          |
| pamRemoteBrowserSettings | Connection Settings |

{% hint style="info" %}
`pamRemoteBrowser` はGraphSyncグラフ内で内部的に `RFT_PAM_BROWSER` と呼ばれます。どちらも同じレコードタイプを意味します。SDKコードでは `pamRemoteBrowser` を使用してください。
{% endhint %}

## PAM構成レコードタイプ <a href="#pam-configuration-record-types" id="pam-configuration-record-types"></a>

構成レコードは、Keeperゲートウェイと管理・ローテーション対象リソースを結び付けます。すべての構成タイプには `pamResources` フィールド (ゲートウェイ + リソースセット) と、`defaultRotationSchedule` ラベルの `schedule` フィールドが必要です。

### pamAwsConfiguration (PAM AWS Configuration)

| フィールドタイプ     | UIフィールド                          |
| ------------ | -------------------------------- |
| pamResources | Gateway and Resources *(必須)*     |
| schedule     | Default Rotation Schedule *(必須)* |
| text         | AWS ID *(必須)*                    |
| secret       | Access Key ID                    |
| secret       | Access Secret Key                |
| multiline    | Region Names                     |
| multiline    | Port Mapping                     |
| script       | Rotation Scripts                 |

### pamAzureConfiguration (PAM Azure Configuration)

| フィールドタイプ     | UIフィールド                          |
| ------------ | -------------------------------- |
| pamResources | Gateway and Resources *(必須)*     |
| schedule     | Default Rotation Schedule *(必須)* |
| text         | Azure ID *(必須)*                  |
| secret       | Client ID *(必須)*                 |
| secret       | Client Secret *(必須)*             |
| secret       | Subscription ID *(必須)*           |
| secret       | Tenant ID *(必須)*                 |
| multiline    | Resource Groups                  |
| multiline    | Port Mapping                     |
| script       | Rotation Scripts                 |

### pamGcpConfiguration (PAM GCP Configuration)

| フィールドタイプ     | UIフィールド                          |
| ------------ | -------------------------------- |
| pamResources | Gateway and Resources *(必須)*     |
| schedule     | Default Rotation Schedule *(必須)* |
| text         | GCP ID *(必須)*                    |
| email        | Google Admin Email               |
| json         | Service Account Key *(必須)*       |
| multiline    | GCP Region Name                  |
| multiline    | Port Mapping                     |
| script       | Rotation Scripts                 |

### pamDomainConfiguration (PAM Domain Configuration)

| フィールドタイプ     | UIフィールド                          |
| ------------ | -------------------------------- |
| pamResources | Gateway and Resources *(必須)*     |
| schedule     | Default Rotation Schedule *(必須)* |
| pamHostname  | Hostname or IP Address / Port    |
| text         | Domain ID                        |
| text         | User Match                       |
| checkbox     | Use SSL                          |
| checkbox     | Scan Domain Controller CIDR      |
| text         | Network CIDR                     |
| multiline    | Port Mapping                     |
| script       | Rotation Scripts                 |

### pamLocalConfiguration (PAM Local Configuration)

| フィールドタイプ     | UIフィールド                          |
| ------------ | -------------------------------- |
| pamResources | Gateway and Resources *(必須)*     |
| schedule     | Default Rotation Schedule *(必須)* |
| text         | Local ID *(必須)*                  |
| multiline    | Port Mapping                     |
| script       | Rotation Scripts                 |

### pamNetworkConfiguration (PAM Network Configuration)

| フィールドタイプ     | UIフィールド                          |
| ------------ | -------------------------------- |
| pamResources | Gateway and Resources *(必須)*     |
| schedule     | Default Rotation Schedule *(必須)* |
| text         | Network ID                       |
| text         | Network CIDR                     |
| multiline    | Port Mapping                     |
| script       | Rotation Scripts                 |

## PAMレコードタイプの読み取り <a href="#reading-a-pam-record-type" id="reading-a-pam-record-type"></a>

カスタムレコードタイプと同様に、Keeperコマンダーで任意のPAMレコードタイプのスキーマを取得できます。

```
My Vault> rti --format json -lr pamUser --output pamUser.json
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keeper.io/keeperpam/jp/secrets-manager/about/pam-record-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
